# First Look - New and Improved World Tracking for WebAR

This is a simple project to demonstrate Zappar's improved World Tracking for WebAR implementation.

The `zappar-threejs` folder contains the standalone build of Zappar's Universal AR SDK for Three.js featuring the updated beta implementation of the `InstantWorldTracker` API, which you can use for your own projects. We'll be releasing further beta SDKs early in 2022, along with covering other distribution methods (including making the beta libraries available via npm).

The Robot model in this example comes from the Three.js "Examples" folder:
https://github.com/mrdoob/three.js/tree/dev/examples/models/gltf/RobotExpressive
> Model by [Tomás Laulhé](https://www.patreon.com/quaternius), released under CC0 1.0, with some modifications from [Don McCurdy](https://donmccurdy.com/). Before using this model on a project, consider supporting the artist's Patreon.

## Running the Project

The project has been set up to use webpack for bundling assets and code. To get started, install the project's dependencies by running the following command:
```bash
npm install
```

During development, you can use the following command to run a `webpack-dev-server` for testing on your computer or a device on your local network:
```bash
npm run dev-server
```

And when you're ready to publish your site, run the following command. The resulting `dist` folder can be uploaded to ZapWorks for publishing. If you'd like to self-host your site, be sure to check out the documentation on the [Zappar for ThreeJS](https://www.npmjs.com/package/@zappar/zappar-threejs) page.
```bash
npm run build
```
